Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESWrapperException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.caucho.es.ESException
                        |
                        +--com.caucho.es.ESWrapperException

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

public class ESWrapperException
extends ESException
implements ExceptionWrapper

JavaScript exception

See Also:
  Serialized Form

Constructor Summary
`ESWrapperException(java.lang.Exception e)`

Method Summary
`java.lang.Exception` | `getException()`
`java.lang.String` | `getMessage()`
`java.lang.Throwable` | `getRootCause()` Returns the wrapped exception.
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream ps)`
`void` | `printStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `toString()`

Methods inherited from class com.caucho.es.ESException
`printESStackTrace, printESStackTrace, printESStackTrace, staticPrintESTrace, staticPrintESTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ESWrapperException

    public ESWrapperException(java.lang.Exception e)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the wrapped exception.
  Specified by:
    `getRootCause` in interface `ExceptionWrapper`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### getException

    public java.lang.Exception getException()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD